package com.ximai.mes.pro.domain.productionRequest;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ximai.common.annotation.Excel;
import com.ximai.common.core.domain.BaseEntity;

import java.math.BigDecimal;

/**
 * 量产申请工序对象 pro_production_request_process
 *
 * @author chicheng.li
 * @date 2024-01-22
 */
public class ProProductionRequestProcess extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long productionRequestProcessId;

    /** 量产申请单ID */
    @Excel(name = "量产申请单ID")
    private Long productionRequestId;

    /** 记录ID */
    @Excel(name = "记录ID")
    private Long recordId;

    /** 工作中心 */
    @Excel(name = "工作中心")
    private Long workstationId;

    /** 标准工时 */
    @Excel(name = "标准工时")
    private BigDecimal stdWorkingTime;

    /** 准备时间 */
    @Excel(name = "准备时间")
    private Long defaultPreTime;

    /** 等待时间 */
    @Excel(name = "等待时间")
    private Long defaultSufTime;

    /** 关键工序 */
    @Excel(name = "关键工序")
    private String keyFlag;

    /** 是否检验 */
    @Excel(name = "是否检验")
    private String isCheck;

    private String workstationName;

    /** 工序名称 */
    @Excel(name = "工序名称")
    private String processName;

    /** 工序编码 */
    @Excel(name = "工序编码")
    private String processCode;

    /** 下一道工序的名称 */
    @Excel(name ="下一道工序的名称")
    private String nextProcessName;
    private String colorCode;
    private String linkType;

    private Integer orderNum;

    public void setProductionRequestProcessId(Long productionRequestProcessId)
    {
        this.productionRequestProcessId = productionRequestProcessId;
    }

    public Long getProductionRequestProcessId()
    {
        return productionRequestProcessId;
    }
    public void setProductionRequestId(Long productionRequestId)
    {
        this.productionRequestId = productionRequestId;
    }

    public Long getProductionRequestId()
    {
        return productionRequestId;
    }
    public void setRecordId(Long recordId)
    {
        this.recordId = recordId;
    }

    public Long getRecordId()
    {
        return recordId;
    }
    public void setWorkstationId(Long workstationId)
    {
        this.workstationId = workstationId;
    }

    public Long getWorkstationId()
    {
        return workstationId;
    }
    public void setStdWorkingTime(BigDecimal stdWorkingTime)
    {
        this.stdWorkingTime = stdWorkingTime;
    }

    public BigDecimal getStdWorkingTime()
    {
        return stdWorkingTime;
    }
    public void setDefaultPreTime(Long defaultPreTime)
    {
        this.defaultPreTime = defaultPreTime;
    }

    public Long getDefaultPreTime()
    {
        return defaultPreTime;
    }
    public void setDefaultSufTime(Long defaultSufTime)
    {
        this.defaultSufTime = defaultSufTime;
    }

    public Long getDefaultSufTime()
    {
        return defaultSufTime;
    }
    public void setKeyFlag(String keyFlag)
    {
        this.keyFlag = keyFlag;
    }

    public String getKeyFlag()
    {
        return keyFlag;
    }
    public void setIsCheck(String isCheck)
    {
        this.isCheck = isCheck;
    }

    public String getIsCheck()
    {
        return isCheck;
    }

    public String getProcessName() {
        return processName;
    }

    public void setProcessName(String processName) {
        this.processName = processName;
    }

    public String getProcessCode() {
        return processCode;
    }

    public void setProcessCode(String processCode) {
        this.processCode = processCode;
    }

    public String getNextProcessName() {
        return nextProcessName;
    }

    public void setNextProcessName(String nextProcessName) {
        this.nextProcessName = nextProcessName;
    }

    public Integer getOrderNum() {
        return orderNum;
    }

    public String getWorkstationName() {
        return workstationName;
    }

    public void setWorkstationName(String workstationName) {
        this.workstationName = workstationName;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }

    public String getColorCode() {
        return colorCode;
    }

    public void setColorCode(String colorCode) {
        this.colorCode = colorCode;
    }

    public String getLinkType() {
        return linkType;
    }

    public void setLinkType(String linkType) {
        this.linkType = linkType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("productionRequestProcessId", getProductionRequestProcessId())
            .append("productionRequestId", getProductionRequestId())
            .append("recordId", getRecordId())
            .append("workstationId", getWorkstationId())
            .append("stdWorkingTime", getStdWorkingTime())
            .append("defaultPreTime", getDefaultPreTime())
            .append("defaultSufTime", getDefaultSufTime())
            .append("keyFlag", getKeyFlag())
            .append("isCheck", getIsCheck())
            .append("remark", getRemark())
            .toString();
    }
}
